<?php /**
* Plugin pluxml2mastodon - config page
*
* @package	PLX
* @version	1.0
* @date	03/12/19
* @author Bronco
**/
if(!defined("PLX_ROOT")) exit; ?>
<?php 
	if(!empty($_POST)) {
		$plxPlugin->setParam("instance_URL", plxUtils::strCheck($_POST["instance_URL"]), "string");
		$plxPlugin->setParam("api_key", plxUtils::strCheck($_POST["api_key"]), "string");
		$plxPlugin->setParam("visibility", plxUtils::strCheck($_POST["visibility"]), "string");
		$plxPlugin->setParam("header_message", plxUtils::strCheck($_POST["header_message"]), "string");
		$plxPlugin->setParam("footer_message", plxUtils::strCheck($_POST["footer_message"]), "string");

		$plxPlugin->saveParams();
		header("Location: parametres_plugin.php?p=pluxml2mastodon");
		exit;
	}
?>
<style>
	h2 *{vertical-align:middle;}
	section li{list-style: none;padding:15px;margin:15px;border:1px solid rgba(0,0,0,0.3);border-radius: 3px}
	section li input[type=text]{width:100%;border:none;border-bottom: 1px dotted rgba(0,0,0,0.5);padding:3px;}
</style>
<h2><on src="<?php echo PLX_PLUGINS;?>pluxml2mastodon/icon.png"/>pluxml2Mastodon</h2>
<p>Reposter les post sur votre compte mastodon.</p>
<form action="parametres_plugin.php?p=pluxml2mastodon" method="post" >
	<li>
		<label>*URL de votre instance mastodon : </label>
			<input type="text" required name="instance_URL" value="<?php echo $plxPlugin->getParam("instance_URL");?>"/>
		
	</li>
	<li>
		<label>Clé d'autorisation API (Votre jeton d’accès) : </label>
			<input type="text" required name="api_key" value="<?php echo $plxPlugin->getParam("api_key");?>"/>
		
	</li>
	<li>
		<label>Visibilité des posts</label>
		
		<select name="visibility" value="<?php echo $plxPlugin->getParam("visibility");?>">
			<option value="public" <?php  if (("visibility")=="public") echo 'selected'?>>Publique</option>
			<option value="private" <?php if (("visibility")=="private")  echo 'selected'?>>Privée</option>
				
		</select>
		
	</li>
	<li>
		<label>En-tête des posts : </label>
			<p>(les balises suivantes peuvent être utilisées : %TITLE %URL %TAGS %LINK)</p>
			<input type="text" name="header_message" value="<?php echo $plxPlugin->getParam("header_message");?>"/>
		
	</li>
	<li>
		<label>Pied des messages : </label>
			<input type="text" name="footer_message" value="<?php echo $plxPlugin->getParam("footer_message");?>"/>
		
	</li>

	<br />
	<input type="submit" name="submit" value="Enregistrer"/>
</form>